## javax.persistence.metamodel
Interface Bindable<T>

All Known Subinterfaces:
  CollectionAttribute<X,E>, EntityType<X>, ListAttribute<X,E>, MapAttribute<X,K,V>, PluralAttribute<X,C,E>, SetAttribute<X,E>, SingularAttribute<X,T>

    public interface Bindable<T>

Nested Class Summary
`static class` `Bindable.BindableType`

Method Summary
`java.lang.Class<T>` `getBindableJavaType()`
`Bindable.BindableType` `getBindableType()`

Method Detail

### getBindableType

    Bindable.BindableType getBindableType()

### getBindableJavaType

    java.lang.Class<T> getBindableJavaType()